#include <bits/stdc++.h>
using namespace std;
long long n,q,i,j,x,y,suma;
long long niz1[300010];
long long niz2[300010];
int main(){
    cin>>n>>q;
    for(i=0 ; i<n ; i++){
        cin>>niz1[i]>>niz2[i];
    }
    cin>>x;
    if(niz1[0]>x){
        cout<<"0"<< endl;
        return 0;
    }
    suma=0;
        for(i=0 ; i<n ; i++){
    y=x-niz1[i]+1;
    if(x>=niz1[i] and niz2[i]>=y)
        suma+=y;
    if(x>=niz1[i] and niz2[i]<y)
        suma+=niz2[i];
        }
        cout<<suma<< endl;
    return 0;
}